CFLAGS="-Os -g -mmcu=msp430x5438"

tryit () {
  XCFLAGS="${@}"
  msp430-gcc ${CFLAGS} ${XCFLAGS} -c test.c
  msp430-gcc ${CFLAGS} ${XCFLAGS} -c main.c
  msp430-gcc ${CFLAGS} ${XCFLAGS} test.o main.o || exit
}

# Gonna have to fix asm before this works
#echo "Trying old-style std"
#tryit --std=c89

echo "Trying old-style gnu"
tryit --std=gnu89

# Gonna have to fix asm before this works
#echo "Trying new-style std"
#tryit --std=c99

echo "Trying new-style gnu"
tryit --std=gnu99

echo "Trying default"
tryit
