#include <stdio.h>
#include <setjmp.h>

jmp_buf destination;

int called ()
{
  printf("In called\n");
  longjmp(destination, 2);
  printf("ERROR -- past longjmp\n");
}

int main ()
{
  int rc;

  rc = setjmp(destination);
  if (0 == rc) {
    printf("Configured jump buffer.  Calling subroutine.\n");
    called();
  } else {
    printf("Longjump returned %d\n", rc);
  }
}
